"Failed to connect stream: Invalid argument"

Bug #191027 reported by Ricardo Jorge Maçãs on 2008-02-11
384
This bug affects 21 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
High
bond
Declined for Intrepid by Steve Langasek
Hardy
High
Unassigned
totem (Ubuntu)
High
Ubuntu Desktop Bugs
Declined for Intrepid by Steve Langasek
Hardy
High
Ubuntu Desktop Bugs

Bug Description

Binary package hint: totem

I am unable to play any type of content in Totem,
and, the opening Melodie (when the computers starts) sounds awfully...
I'm using the latest alpha development version of Hardy...
Update1: I'm also having trouble within Rhythmbox, so I did an Hardware report and then I uploaded it within the Hardware collection tool in Ubuntu, because I think there is some problem in ubuntu and the system isn't using my sound card correctly.
Update2: The same error happens in the Sound control panel : System -> Preferences -> Sound

ProblemType: Bug
Architecture: amd64
Date: Mon Feb 11 18:03:45 2008
DistroRelease: Ubuntu 8.04 and 9.04
ExecutablePath: /usr/bin/totem-gstreamer
NonfreeKernelModules: nvidia
Package: totem-gstreamer 2.21.92-0ubuntu2
PackageArchitecture: amd64
ProcCwd: /home/ricardo
ProcEnviron:
 LANGUAGE=pt_PT:pt:pt_BR:en_GB:en
 PATH=/home/ricardo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=pt_PT.UTF-8
 SHELL=/bin/bash
SourcePackage: totem
Uname: Linux ricardo-laptop 2.6.24-7-generic #1 SMP Thu Feb 7 00:56:31 UTC 2008 x86_64 GNU/Linux

description: updated
Pedro Villavicencio (pedro) wrote :

Thanks for your report, May you please run totem from the command line as: GST_DEBUG_NO_COLOR=1 GST_DEBUG=3 totem --debug &>totem.txt and attach that log to the report? thanks in advance.

Changed in totem:
assignee: nobody → desktop-bugs
importance: Undecided → Low
status: New → Incomplete

totem --debug &>totem.txt

GST_DEBUG_NO_COLOR=1 GST_DEBUG=3 totem --debug &>totem.txt

Sent 2 reports :
first one is for "totem --debug &>totem.txt"
second is for "GST_DEBUG_NO_COLOR=1 GST_DEBUG=3 totem --debug &>totem.txt"

Thank you in advance

Download full text (3.9 KiB)

This is the error in the :

-First file:
"** Message: Error: Failed to connect stream: Invalid argument
pulsesink.c(411): gst_pulsesink_prepare (): /play/visbin/abin/audiosinkbin/audio-sink/bin6/autoaudiosink1/autoaudiosink1-actual-sink-pulse"

-Second file:
"0:00:13.597582229 20869 0x6635d0 INFO GST_REFCOUNTING gstelement.c:2762:gst_element_finalize:<fakesink> finalize parent
0:00:13.613154509 20869 0xef6790 INFO audioconvert audioconvert.c:455:audio_convert_prepare_context: use int mixing
0:00:13.613210036 20869 0xef6790 INFO audioconvert audioconvert.c:461:audio_convert_prepare_context: unitsizes: 8 -> 8
0:00:13.613223166 20869 0xef6790 INFO audioconvert audioconvert.c:471:audio_convert_prepare_context: in default 1, mix passthrough 1, out default 1
0:00:13.615043054 20869 0xef6790 WARN pulse pulsesink.c:411:gst_pulsesink_prepare:<autoaudiosink1-actual-sink-pulse> error: Failed to connect stream: Invalid argument
0:00:13.615132317 20869 0xef6790 INFO GST_ERROR_SYSTEM gstelement.c:1659:gst_element_message_full:<autoaudiosink1-actual-sink-pulse> posting message: Failed to connect stream: Invalid argument
0:00:13.615204537 20869 0xef6790 INFO GST_ERROR_SYSTEM gstelement.c:1682:gst_element_message_full:<autoaudiosink1-actual-sink-pulse> posted error message: Failed to connect stream: Invalid argument
0:00:13.620331807 20869 0x6635d0 ERROR totem /build/buildd/totem-2.21.92/src/backend/bacon-video-widget-gst-0.10.c:324:bvw_error_msg: message = Failed to connect stream: Invalid argument
0:00:13.620379023 20869 0x6635d0 ERROR totem /build/buildd/totem-2.21.92/src/backend/bacon-video-widget-gst-0.10.c:326:bvw_error_msg: domain = 2521 (gst-resource-error-quark)
0:00:13.620392363 20869 0x6635d0 ERROR totem /build/buildd/totem-2.21.92/src/backend/bacon-video-widget-gst-0.10.c:327:bvw_error_msg: code = 1
0:00:13.620403189 20869 0x6635d0 ERROR totem /build/buildd/totem-2.21.92/src/backend/bacon-video-widget-gst-0.10.c:328:bvw_error_msg: debug = pulsesink.c(411): gst_pulsesink_prepare (): /play/visbin/abin/audiosinkbin/audio-sink/bin6/autoaudiosink1/autoaudiosink1-actual-sink-pulse
0:00:13.620414364 20869 0x6635d0 ERROR totem /build/buildd/totem-2.21.92/src/backend/bacon-video-widget-gst-0.10.c:329:bvw_error_msg: source = <autoaudiosink1-actual-sink-pulse>
0:00:13.620430010 20869 0x6635d0 ERROR totem /build/buildd/totem-2.21.92/src/backend/bacon-video-widget-gst-0.10.c:330:bvw_error_msg: uri = file:///media/disk/Users/Propietario/Shared/Lucky%20Twice-%20Lucky.mp3
** Message: Error: Failed to connect stream: Invalid argument
pulsesink.c(411): gst_pulsesink_prepare (): /play/visbin/abin/audiosinkbin/audio-sink/bin6/autoaudiosink1/autoaudiosink1-actual-sink-pulse

0:00:13.622322327 20869 0xef6a90 INFO basesrc gstbasesrc.c:2114:gst_base_src_loop:<source> pausing after gst_pad_push() = not-negotiated
0:00:13.622395525 20869 0xef6a90 WARN basesrc gstbasesrc.c:2165:gst_base_src_loop:<source> error: Erro interno no fluxo de dados.
0:00:13.622411101 20869 0xef6a90 WARN ...

Read more...

Already did

Changed in totem:
status: Incomplete → New

I think this is more likely an hardware error
So I did an Hardware Database check and sent it to Ubuntu Hdw Database

Submission Id:

2d833f2c2a417ff5657ccd7ad1233694

description: updated
description: updated
description: updated
description: updated
description: updated
description: updated

User.log in the system records reports some problems with "PulseAudio" or something like that

Managed to play with Totem going to the Sound ( System -> Preferences -> Sound ) and changing the system sound to ALSA.
But it sounds AWFULLY, sounds really bad....

Managed to play with Totem changing the system sound to Conexant ANALOG - very bad quality
I tried also Conexant Digital - But I was not able to hear anything

linovski (avelinorego) wrote :

Same issue here.
Linux linovski-laptop 2.6.24-8-generic #1 SMP Thu Feb 14 20:40:45 UTC 2008 i686 GNU/Linux

The same on my box.
Linux silex 2.6.24-11-generic #1 SMP Fri Feb 29 22:08:31 UTC 2008 i686 GNU/Linux

I changed the sound preferences to ALSA under System/Preferences/Sound.
it works.
The hardware is not configured properly. Autodetection doesn't work.

Derek (bugs-m8y) wrote :

Ran into this one too. Switching to ALSA did work.

Derek (bugs-m8y) wrote :

sound-properties-Message: Error running pipeline 'audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink': Failed to connect stream: Invalid argument [pulsesink.c(411): gst_pulsesink_prepare (): /pipeline0/gconfaudiosink0/bin0/autoaudiosink0/autoaudiosink0-actual-sink-pulse]

Sorry. Should give a bit more detail.
Also running Hardy Heron, behaviour occurred just recently.

Derek (bugs-m8y) wrote :

Some attachments from an attempt to debug with crimsun in #ubuntu+1

This one is output of some commands run at his request.

Derek (bugs-m8y) wrote :

And this one is the result of pulseaudio -vv

Francisco Isgleas (isgleas) wrote :

It may be a hw detection issue. I had the same problem when using Hardy Alpha 5, but not anymore with the recent updates of totem-gstreamer.

Please, give details on your hardware accordingly to https://wiki.ubuntu.com/DebuggingSoundProblems

I managed to solve this by adding:

options snd-hda-intel model=auto

To /etc/modprobe.d/alsa-base, as my hardware was detected as:

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)

Changed in totem:
status: New → Incomplete
Marcel (marcel-launchpad) wrote :

I have the same problem in Hardy Beta. I can't play any avi or mpeg movie (it has worked before).
In /var/log/messages I get this:
Mar 30 17:01:43 ubuntu pulseaudio[5805]: sink-input.c: Failed to create sink input: too many inputs per sink.

Kernel: Linux ubuntu 2.6.24-12-generic #1 SMP Wed Mar 12 23:01:54 UTC 2008 i686 GNU/Linux

Changed in totem:
status: Incomplete → New
Jean-François MOY (cha0tix) wrote :

Same problem for me, I had to change for ALSA to make it work. If I want to use PulseAudio, I have the same message :
Failed to connect stream: Invalid argument

Bryce Harrington (bryce) wrote :

I'm getting this as well on a dell inspiron 1420. Video playback worked properly a month or two ago, so it's been updates since then that broke it.

I suspect the commenters on this bug are seeing at least two separate bugs. One where shifting to a different sound system makes it work (although poorly), and another where the sound hardware is not getting detected properly. The issue I'm seeing falls into this latter category.

In this case, the issue does not seem to be in totem but in something lower down - amongst the snd kernel modules I'm guessing. Perhaps something needs to be more properly configured with alsa?

Changed in totem:
importance: Low → High
milestone: none → ubuntu-8.04
status: New → Confirmed

Is everyone here using the x64 version? Because it only happened to me initially when I was using the x64 version.
Try with the x32 version, this may be an x64-only bug.
In the latest alphas and betas, I've been using only the x32 version because It solves this bug with me.
Try to do the same to verify this theory.

Broomer68 (jbezemer) wrote :

I got here due to a duplicate while running x32, but now sound is running smooth afaik

Hi everyone

I hope this helps, but updates are very important. When I downloaded and installed Hardy Beta, PulseAudio didn't work on my laptop, with audio issues and volume control issues. These have all been fixed in the weeks following. So, can I suggest that you install all updates (incl the kernel ones, which I think is now 2.6.24-16) and try it all again?

Hope this helps :-)

Hamish

Maimon Mons (mmcmonster) wrote :

My sound was working fine in Hardy with all daily update _until_ 2-3 days ago, when I ran into this problem.

(Sorry :-( )

Steve Langasek (vorlon) wrote :

From the description, there is nothing specific to totem in this bug; it appears to be a general problem with sound playback through pulseaudio.

Luke, would you be able to take a look at this to triage it further?

Maimon,

This bug by now appears to include several different symptoms, not all of which are necessarily related. Can you please clarify what the problem is that you're seeing with current hardy?

Changed in pulseaudio:
milestone: none → ubuntu-8.04
Changed in totem:
status: Confirmed → Invalid
Changed in pulseaudio:
importance: Undecided → High
  • unnamed Edit (189 bytes, application/pgp-signature; name=signature.asc)

Hi,

On Wed, 2008-04-16 at 03:30 +0000, Steve Langasek wrote:
> >From the description, there is nothing specific to totem in this bug; it
> appears to be a general problem with sound playback through pulseaudio.
>
> Luke, would you be able to take a look at this to triage it further?

I'm obviously not TheMuso, but since I keep an eye on Audio related
issues in Debian and Ubuntu, I'll try to triage this...

Reporter: Can you attach the output out strace paplay some-wav-file
please?

I believe I have seen something similar to this issue, but have been
unable to reproduce it on neither my Debian lenny desktop nor my
Ubuntu-running laptop (it only happened to me once).

Invalid argument indicates that it is trying to a dead socket; I have
seen this behaviour before. An strace will help to determine if this is
the issue.

Thanks!

Luke Yelavich (themuso) wrote :

Could everybody who is having issues please do the following:
1. Read https://wiki.ubuntu.com/DebuggingSoundProblems under the collecting sound info section. There is a script you can download that will get all necessary information about your sound hardware.
2. Please try and play audio through pusleaudio, then alsa, and state whether there is a difference in the sound, whether it be quality, whether it breaks up, etc.
3. Unless you have done so already, please run pulseaudio -vv from the command-line, and attach the output to the bug? This way I can see whether there is any difference in the detection of your sound hardware to others.

Thanks.

Daniel T Chen (crimsun) wrote :

Definitely PulseAudio and/or ALSA, not Totem.

I'll add to Luke's suggestions for easier debugging:

1) The specific two items of import from alsa-info.sh output are a) `lspci -nv|grep -A1 040[13]', and b) the AC'97 or HDA codec spew. If you have firewire or usb audio, things are less trivial.
2) There are essentially two scenarios being tested: a) default Ubuntu Hardy configuration (using PulseAudio as the default GStreamer audio sink), b) modified Ubuntu Hardy configuration (using ALSA as the default GSt audio sink).

For 2a), you will need to use a PulseAudio client, e.g., `paplay /usr/share/sounds/*up.wav'.
For 2b), you may try `pasuspender -- aplay /usr/share/sounds/*up.wav'.

3) To use `pulseaudio -vv', you will first need to `pkill pulseaudio' from within a GNOME session.

(I'm not subscribed, but I'll follow this page.)

Alvin Gao (picardpwnskirk) wrote :

Bug confirmed on Hardy RC.

alvin@alvin-laptop:~$ pulseaudio -vv
I: main.c: Called SUID root and real-time/high-priority scheduling was requested in the configuration. However, we lack the necessary priviliges:
I: main.c: We are not in group 'pulse-rt' and PolicyKit refuse to grant us priviliges. Dropping SUID again.
I: main.c: For enabling real-time scheduling please acquire the appropriate PolicyKit priviliges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
I: main.c: Note that real-time/high-priority scheduling is NOT normally required. If you experience crackling or other sound anomalies, consider one or more of the above solutions.
I: main.c: High-priority scheduling enabled in configuration but now allowed by policy. Disabling forcibly.
I: pid.c: Daemon already running.
I: main.c: pa_pid_file_create() failed.
========
alvin@alvin-laptop:~$ cat /proc/asound/cards
 0 [Intel ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xfe020000 irq 21
========
Package: linux-ubuntu-modules-2.6.24-16-generic
Status: install ok installed
Priority: optional
Section: base
Installed-Size: 15416
Maintainer: Ubuntu Kernel Team <email address hidden>
Architecture: i386
Source: linux-ubuntu-modules-2.6.24
Version: 2.6.24-16.22
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-16-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.
alvin@alvin-laptop:~$

That should be it....

I am having this same issue... what I noticed is that I boot with the vmlinuz-2.6.24-16-386 kernel I get the error. If I boot with vmlinuz-2.6.24-15-386 I don't get the error.

Thomas Juen (thomas-juen) wrote :

I had the same issue and I found out that my audio device (and my eth0 too) works great when acpi is enabled (it's enabled by default, but i had to change it for another reason). I hope this Information is useful for you.

Steve Langasek (vorlon) wrote :

Alvin, please run 'pkill pulseaudio' before 'pulseaudio -vv' and send this output, as requested by Daniel.

Ricardo, can you please also provide the debugging information requested by Luke and Daniel?

Changed in pulseaudio:
milestone: ubuntu-8.04 → none
AndyAirey (aairey) wrote :

Hi everyone,

Daniel, I tried your steps

1a)
$ lspci -nv|grep -A1 040[13]
00:1b.0 0403: 8086:293e (rev 02)
 Subsystem: 1043:829f
1b) don't know what you mean :$

2a) did not work
2b) did work!!

my outputs are in the attachment (including the pulseaudio -vv command)

Many thanks!

Seth (seth-yates) wrote :

Having same issues. Upgraded from 7.10 to 8.04 LTS. Autodetect was selected. No sounds would play. Changed to ALSA and sounds play. If using any sound device other than ALSA, get the following error:

audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink profile=music: Failed to connect stream: Invalid argument

Output from ./alsa-info.sh is available at http://pastebin.ca/1000208

lspci-vvnn.log attached.

uname -a

Linux uber-desktop 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux

dpkg -s linux-ubuntu-modules-$(uname -r)

Package: linux-ubuntu-modules-2.6.24-16-generic
Status: install ok installed
Priority: optional
Section: base
Installed-Size: 15420
Maintainer: Ubuntu Kernel Team <email address hidden>
Architecture: i386
Source: linux-ubuntu-modules-2.6.24
Version: 2.6.24-16.23
Provides: ndiswrapper-modules-1.9
Depends: linux-image-2.6.24-16-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Pastor (sinel1980) wrote :

I have the same problem. Have Ubuntu Hardy. PulseAudio in System->Preferences->Sound returns: "Failed to connect stream: Invalid argument" (autodetection also returns this problem). I must use Alsa - it works good.
(Have SB AWE64 on ISA). pulseaudio -vv output attached.

Victor Zamanian (victorz) wrote :

Confirming this bug and that switching to ALSA works.

Ross Peoples (deejross) wrote :

I have this bug as well, however, switching to ALSA does not work for me. I get the test sound and all of the system sounds play, even when PulseAudio is selected. But the second I use Rhythmbox or Totem I get the error.

Ross Peoples (deejross) wrote :

CORRECTION: I actually got it to work with PulseAudio! Instead of switching to ALSA, I actually just did "killall pulseaudio" and the sound started to work! I'm not sure if that works for everyone though.

Breno Leitão (breno-leitao) wrote :

Here also, I just killed PulseAudio and everything went fine.
So, this seems that we just have a workaround until now, right?

PS: If you' re using pidgin and kill pulseaudio, gaim will hog 100% of your CPU, and will crash.

Changed in pulseaudio:
milestone: none → ubuntu-8.04.1
Changed in pulseaudio:
status: New → Confirmed
status: New → Confirmed
Changed in totem:
status: Invalid → Confirmed
status: Invalid → Confirmed
Steve Langasek (vorlon) on 2008-08-05
Changed in pulseaudio:
milestone: ubuntu-8.04.1 → ubuntu-8.04.2
88 comments hidden view all 168 comments
Luke Yelavich (themuso) wrote :

For those who have tried the test package I linked to and found it didn't work, this package is for intrepid only. It cannot be installed on hardy due to the version of libasound2 that is required.

For those of you who have tried the test package and found that things still don't work, please try the following:

1. SHut down/kill pulseaudio. This can be done either by running "killall pulseaudio" or "pulseaudio -k", the latter probably being more full-proof.
2. Delete all .pulse related files from your home directory, "cd ; rm -r .pulse*" should do the trick.
3. YOu can either log out and back in, reboot, or restart pulseaudio with "pulseaudio -D --log-target=syslog"

Then try playing audio as you have previously and let me know the results.

Thanks.

Robert Hrovat (robi-hipnos) wrote :

Luke, it helped. Thanks!

I had this problem in an up-to-date intrepid as of 2-Oct-2008. I didn't need to install any packages, but Luke's instructions for killing and restarting pulseaudio worked.

Same problem here.

Luke's instructions works. Thanks

Thanks Luke.

I can play media now.

Hope this gets solved as an update.

Glucklich (glucklich) wrote :

My audio always worked fine. Whether on Hardy or on the installation of Intrepid. But today, 4/10/08 at 19:17, I installed the new updates and I could not reproduce any kind of media files, on any media player, getting the message showed on the description of this topic. Here goes the detailed list of actualizations I made and the source of this problem.

Commit Log for Sat Oct 4 19:17:36 2008

Actualizados os seguintes pacotes:
cpp-4.3 (4.3.2-1ubuntu8) to 4.3.2-1ubuntu9
gcc-4.3 (4.3.2-1ubuntu8) to 4.3.2-1ubuntu9
gcc-4.3-base (4.3.2-1ubuntu8) to 4.3.2-1ubuntu9
libgcc1 (1:4.3.2-1ubuntu8) to 1:4.3.2-1ubuntu9
libgomp1 (4.3.2-1ubuntu8) to 4.3.2-1ubuntu9
libstdc++6 (4.3.2-1ubuntu8) to 4.3.2-1ubuntu9
xserver-xorg-video-ati (1:6.9.0+git20080826.a3cc1d7a-2ubuntu3) to 1:6.9.0+git20081003.f9826a56-0ubuntu2
xserver-xorg-video-radeon (1:6.9.0+git20080826.a3cc1d7a-2ubuntu3) to 1:6.9.0+git20081003.f9826a56-0ubuntu2

david (david-d) wrote :

hello all,

I've got the same "Failed to connect stream: Invalid argument" problem with rhythmbox and totem.
With the Intrepid beta. Changing the System Audio settings to oss (!) works.
Attached there is the output of GST_DEBUG_NO_COLOR=1 GST_DEBUG=3 totem --debug &>totem.txt

Łukasz Jernaś (deejay1) wrote :

Luke's hack works for me - I wonder what's the cause of it?

Same bug for me on Intrepid Beta live cd.

Changing OSS is not a hack; it's using something completely else.

Łukasz Jernaś (deejay1) wrote :

On Sun, Oct 5, 2008 at 8:56 PM, Ralf Nieuwenhuijsen
<email address hidden> wrote:
> Same bug for me on Intrepid Beta live cd.
>
> Changing OSS is not a hack; it's using something completely else.

Well, I meant deleting the .pulse directory and cookie...

TobiasDomhan (tdomhan) wrote :

got the problem on Intrepid beta, too.
changing to OSS works, with autodetect and alsa I get the above stated errors.
the stuff luke describes doesn't work.

Juan Hernández (juanhm) wrote :

Same problem hear after upgrading to Intrepid: I can hear the login sound but, after that, Totem is unable to play any movie or sound and I get the "Failed to connect stream" error when I press the test button in the sound preferences panel.

If I change my sound preferences to alsa or oss the sound tests are OK and if I kill pulseaudio from a console and start it again with "pulseaudio &" everything start to work, but when I restart the problem appears again.

So, as a summary, I can hear the login sound and I get the sound working again if I kill and restart pulseaudio manually.

Some technical details:

$ lspci
...
00:0a.0 Multimedia audio controller: Ensoniq 5880 AudioPCI (rev 02)
...

$ dpkg -l libasound*
+++-=========================-=========================-==================================================================
ii libasound2 1.0.17a-0ubuntu3 ALSA library
ii libasound2-plugins 1.0.17-0ubuntu4 ALSA library additional plugins

Thanks for working on this. Can i help further?

dx9s (dx9s) wrote :

I was having same problem with the developer branch of intrepid...

1) tried the reinstalling of ubuntu-desktop ... no-go...
2) restarting the pulseaudio server works (and an .xinitrc makes it more painless-of-a-workaround)
3) skip'ed installing the update alsa packages (so can't comment on that)

I was trying to figure out HOW the initial pulseaudio server got started when logging into the X session... it's still not clear, perhaps somebody can clarify this.

BUT (and I forgot how I came to trying this)

I typed:
% asoundconf set-pulseaudio

and this apparently creates an .asoundrc file which includes .asoundrc.asoundconf that points anything NOT default to pulse (is how I read it, could be wrong)

and rebooted and it came up working now (the initial pulseaudio server now works)

Funny thing is now the silly drum pattern during the gdm login screen doesn't make a sound NOR the startup sound file when starting GNOME in an X session. THIS is weird, because when it was working it would previously only do this upon the first session after starting gdm and any logout->login (w/o restart gdm) would cause the GNOME startup sound to NOT play (wierd I know)...

but NOW there is NO sounds inside gdm nor startup sound (an indication of something else not working)... but pulseaudio server seems healthy now.

I think it's a bit of a racing condition (or perhaps a chicken-or-the-egg) and one was pointing at the other and-or visa-versa.

Hope this helps narrow down the searching of the bug.... For now.. I know how to switch it around and get pulseaudio either NOT working (pure alsa), restarting the pulseaudio server (via .xinitrc) and not HAVING to restart pulseaudio server.

--Doug

dx9s (dx9s) wrote :

update: fixed the drum sounds in gdm ... seems like it is influenced by a bad .asoundrc/.aroundrc.asoundconf (which points to pulse ... and no pulse server when gdm is at the login screen) ...

removed the .asoundrc / .asoundrc.asoundconf from root's home dir

remove the .asoundrc / .asoundrc.asoundconf from the normal user account... still no startup sound.. but looks like totem still defaults to using pulse correctly ..

P.S. I suggest 'sudo apt-get install paman' and run paman to double check the pulse audio clients and "SEE" totem (and who-ever) connected to the pulseaudio server natively.

so that said... any alsa aware application will go direct without 'asoundconf set-pulse' (the files that creates)... running that creates the files and (in theory) any alsa application will be re-directed to pulse (without knowning it).

I hope this helps others out!

--Doug

Leon (leonbo) wrote :

when I did: sudo /etc/init.d/pulseaudio stop
and then: sudo pulseaudio, it worked!

dx9s (dx9s) wrote :

Leon .. are you suggesting there should be a "system" pulseaudio server (running as root / system wide kind of thing?)

I'll ask the question another way (to any developers)... what is the start-up process for pulseaudio ? when should it start (I saw the /etc/init.d/ and /etc/rc?.d/ for pulseaudio) .... perhaps there should be one and there is NOT..

Upon a fresh boot... I've switched to console and 'ps auxww | grep pulse' and there is no server when sitting at the gdm login screen ... so the gdm sound generated there must be ALSA ...

And my attempt to figure out how the pulseaudio server starts (under the normal user account) when an X session starts (via gdm) ... I gave up on finding it hoping somebody here would tell me where.

To me, this problem feels like a conflict between developers on the exact start-up process and something gets hung (perhaps a racing condition, or something not started in correct order).

All I know is there are several solutions that I know of... and none of them are perfect unless I hear something from a developer that clarifies the start-up process and can provide a set of instructions to verify things are configure correctly and/or starting up correctly.

--Doug

Leon (leonbo) wrote :

Sorry, dx9s. I did:

sudo /etc/init.d/pulseaudio stop
killall /usr/bin/pulseaudio
pulseaudio (no sudo)

and it worked. Killing all pulseaudio instanced and then doing "sudo pulseaudio" did nothing.

When I startup gnome, I noticed that /usr/bin/pulseaudio is being run. I looked into the session thing, but I can't find it there. Where's determined where /usr/bin/pulseaudio is started as the logged in user?

Observing all the comments, something poped up in my mind.
Might it not be GDM that is preventing Pulse to startup correctly?
See, if there is no pulseaudio running and GDM tries to make its startup sounds (1 before login, 1 after) it will probably use ALSA, and if it locks up alsa while pulse is starting, pulse will not be able to really start, because it could not get a hole of the sound system.
Does that make sense to you guys?
I don't what libasound2 or anything like that might help, cause pulseaudio is working. It just doesn't startup correctly.
And as far as I read, it should be started as the user, not root.

dx9s (dx9s) wrote :

Leon...

that's the same as what others are doing... restarting the pulseaudio server in your user space... that also works for me... as a workaround.

but in my case, I found removing the .asoundrc* (or 'asoundconf set-pulseaudio') to create ones pointing to pulseaudio server in a special way -- solved having to re-start that server (services).. I can now log in w/o having to restart pulseaudio (killall pulseaudio; pulseaudio)... aka using the ORIGINAL pulseaudio server that starts moments after logging into gdm.

I also got the volume levels adjusted and stored... so now the gdm sound (the drum) plays, the login sound starts (both via ALSA I am guessing) and totem (and any other pulse audio app) works via pulseaudio (either directly or via an alsa->pulse redirect).

--Doug

Juan Hernández (juanhm) wrote :

dx9s...

I don´t really understand very well what is the reason, but issuing "asoundconf -set-pulse" at a console also works for me. Now I can hear the drums and the login sound in gdm, and once inside the gnome session everything seems ok (totem, sound settings in the panel, etc.)

I guess that the files created with the command you suggested in some way prepare Alsa applications to use pulseaudio as the default sink. So the gdm sounds now go through alsa (which then uses pulseaudio) while other applications like Totem go directly through pulse, but all of this works fine at the same time.

Thanks for your suggestion, which I think that could be the base for a fix if someone can explain the logic behind.

Sebastien Bacher (seb128) wrote :

the bug is not a totem one

Changed in totem:
milestone: ubuntu-8.04 → none
status: Confirmed → Invalid
milestone: ubuntu-8.04 → none
status: Confirmed → Invalid
J Posey (jpo) wrote :

True, except that Totem might be smarter to say in effect "I can't find
an audio outlet for the sound, but you can watch the video anyway if you
want"

Sebastien Bacher wrote:
> the bug is not a totem one
>
> ** Changed in: totem (Ubuntu)
> Status: Confirmed => Invalid
> Target: ubuntu-8.04 => None
>
> ** Changed in: totem (Ubuntu Hardy)
> Status: Confirmed => Invalid
> Target: ubuntu-8.04 => None
>
>

Łukasz Jernaś (deejay1) wrote :

Works for me now in Intrepid after todays update

Apport is now telling me gnome-login-sound has crashed; eventhough I heard
it play without problems. When apport is turned off, this message will go
away I presume, but it makes me feel funny.

Isn't there a better way than to configure things so that a race-condition
is _unlikely_?
Perhaps there is a solution that makes a race condition theoretically
impossible? Like launching pulseaudio after the login-sound .. or having
pulse-audio launch the login-sound ..

I know upstart doesn't do user-space; but it surely sounds like what we
really need is some event-based scheduling system here.

2008/10/10 Łukasz Jernaś <email address hidden>

> Works for me now in Intrepid after todays update
>
> --
> "Failed to connect stream: Invalid argument"
> https://bugs.launchpad.net/bugs/191027
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Luke Yelavich (themuso) wrote :

This bug was originally reported against hardy. For those of you who experienced problems in intrepid, if your problem is not resolved already, please either reply to another bug that is closer to your situation, or file a new bug if you feel that no other bug covers your issue. Any issues that intrepid users experienced should now be resolved in the upload of pulseaudio 0.9.10-2ubuntu8, as discussed in bug 274124.

Well, the problem persists in Hardy and the latest Intrepid Beta updates brought back the problem.
Exact same problema. I just have to kill pulseaudio e start it as my own user for it to work.

Changed in pulseaudio:
assignee: nobody → yacoobsyifa06
frizzle21 (frederik-nnaji) wrote :

sound works for new users now.. through pulse. yet it is stammering and
staggering, even the ubuntu logon sound.
anyone know of a tool to set my user settings and startup scripts to
default, just like in a newly created user account?

On Sun, Nov 16, 2008 at 9:01 PM, yacoobsyifa06 <email address hidden>wrote:

> ** Changed in: pulseaudio (Ubuntu Hardy)
> Assignee: (unassigned) => yacoobsyifa06 (yacoobsyifa06)
>
> --
> "Failed to connect stream: Invalid argument"
> https://bugs.launchpad.net/bugs/191027
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "pulseaudio" source package in Ubuntu: Confirmed
> Status in "totem" source package in Ubuntu: Invalid
> Status in pulseaudio in Ubuntu Hardy: Confirmed
> Status in totem in Ubuntu Hardy: Invalid
>
> Bug description:
> Binary package hint: totem
>
> I am unable to play any type of content in Totem,
> and, the opening Melodie (when the computers starts) sounds awfully...
> I'm using the latest alpha development version of Hardy...
> Update1: I'm also having trouble within Rhythmbox, so I did an Hardware
> report and then I uploaded it within the Hardware collection tool in Ubuntu,
> because I think there is some problem in ubuntu and the system isn't using
> my sound card correctly.
> Update2: The same error happens in the Sound control panel : System ->
> Preferences -> Sound
>
> ProblemType: Bug
> Architecture: amd64
> Date: Mon Feb 11 18:03:45 2008
> DistroRelease: Ubuntu 8.04
> ExecutablePath: /usr/bin/totem-gstreamer
> NonfreeKernelModules: nvidia
> Package: totem-gstreamer 2.21.92-0ubuntu2
> PackageArchitecture: amd64
> ProcCwd: /home/ricardo
> ProcEnviron:
> LANGUAGE=pt_PT:pt:pt_BR:en_GB:en
>
> PATH=/home/ricardo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=pt_PT.UTF-8
> SHELL=/bin/bash
> SourcePackage: totem
> Uname: Linux ricardo-laptop 2.6.24-7-generic #1 SMP Thu Feb 7 00:56:31 UTC
> 2008 x86_64 GNU/Linux
>

Steve Langasek (vorlon) on 2009-01-22
Changed in pulseaudio:
assignee: yacoobsyifa06 → nobody
milestone: ubuntu-8.04.2 → ubuntu-8.04.3
Daniel T Chen (crimsun) on 2009-02-14
Changed in pulseaudio:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 0.9.14-0ubuntu6

---------------
pulseaudio (0.9.14-0ubuntu6) jaunty; urgency=low

  * 0004_disable_autospawn.patch: Disable this patch. Doing so
    allows the daemon to spawn if not already running, which
    works around LP: #191027, #204272
  * 0012_clarify_driver_error_redirect_to_alsa_devs.patch:
    - Only log POLL* being set if tsched is used so that syslog
      isn't filled with innocuous messages when we set tsched=0
      (see 0030 below) (LP: #323712),
    - Hint 'linux' source package instead of 'alsa-driver' for
      Launchpad bug reports,
    - The debug-specific portion is only applicable to 0.9.14;
      0.9.15 enables a rate limiting module by default to work
      around this (and other) issues
  * 0029_fix_suspend_on_idle_null_race.patch: Handle sink case,
    too
  * 0030_set_tsched0.patch: Work around a shedload of (driver)
    bugs by falling back to interrupt-based buffer semantics
    (LP: #190754, #292880, #295519, #298494, #301755, #302964,
     LP: #319118, #323976, #324103, #326205, #326864)
  * Backport fixes from git HEAD:
    - 0031_fix_6chan_map.patch,
    - 0032_reinit_proplist.patch,
    - 0033_fix_pa-gcc-packedmalloc.patch,
    - 0034_bt_fixes.patch
  * Make invoking the stop target in the initscript not fail an
    upgrade (LP: #317921)
  * Previous upload (0.9.14-0ubuntu3) fixed LP: #321357
  * 01PulseAudio: use sudo -H to ensure that $HOME is, in fact,
    the user's when invoking pacmd for suspend/resume

 -- Daniel T Chen <email address hidden> Sun, 15 Feb 2009 02:35:26 -0500

Changed in pulseaudio:
status: Fix Committed → Fix Released
P C Sudhakaran (pc-sudhan) wrote :

sound was working...but after the installation of mp3 codecs(G stream) ...it worked for 2-3 days..there is a message..'no volume control g streamer plugin and/or devices found'

tracey (tracey-barry) on 2009-02-27
Changed in totem:
status: Invalid → Confirmed
Sebastien Bacher (seb128) wrote :

don't reopen a closed task without explanation

Changed in totem:
status: Confirmed → Invalid
Adrian Godoy (adrigodoy) wrote :

How can I upgrade to the newest package by using Synaptic on Ubuntu 8.10?

Lefteris (lefterists) wrote :

It seems like the bug reopened.

manzur (sl-solaris) wrote :

this is happening in jaunty jackalope as well

manzur (sl-solaris) wrote :

this is happening in jaunty jackalope too

description: updated
Sebastien Bacher (seb128) wrote :

the jaunty issue could be a different one better to open a new bug

Changed in pulseaudio (Ubuntu Hardy):
assignee: nobody → supri-intisukses
MarkS (skriv7) wrote :

 I probably should have stuck with windows or a Mac, because I'm just not following this. I think this is the stream that I started when I noticed the movie player wasn't playing any sort of content. I'm hoping it is just a setting I have to adjust. I'm not terribly proficient yet with downloading or more accurately, installing, new programs in Ubuntu.
Thanks,
Decidedly not geeky enough for Linux

-----Original Message-----
From: supriyadi <email address hidden>
To: <email address hidden>
Sent: Fri, 24 Apr 2009 7:47 pm
Subject: [Bug 191027] Re: "Failed to connect stream: Invalid argument"

** Changed in: pulseaudio (Ubuntu Hardy)
     Assignee: (unassigned) => supriyadi (supri-intisukses)

--
"Failed to connect stream: Invalid argument"
https://bugs.launchpad.net/bugs/191027
You received this bug notification because you are a direct subscriber
of the bug.

Status in “pulseaudio” source package in Ubuntu: Fix Released
Status in “totem” source package in Ubuntu: Invalid
Status in pulseaudio in Ubuntu Hardy: Confirmed
Status in totem in Ubuntu Hardy: Invalid

Bug description:
Binary package hint: totem

I am unable to play any type of content in Totem,
and, the opening Melodie (when the computers starts) sounds awfully...
I'm using the latest alpha development version of Hardy...
Update1: I'm also having trouble within Rhythmbox, so I did an Hardware report
and then I uploaded it within the Hardware collection tool in Ubuntu, because I
think there is some pro
blem in ubuntu and the system isn't using my sound card
correctly.
Update2: The same error happens in the Sound control panel : System ->
Preferences -> Sound

ProblemType: Bug
Architecture: amd64
Date: Mon Feb 11 18:03:45 2008
DistroRelease: Ubuntu 8.04 and 9.04
ExecutablePath: /usr/bin/totem-gstreamer
NonfreeKernelModules: nvidia
Package: totem-gstreamer 2.21.92-0ubuntu2
PackageArchitecture: amd64
ProcCwd: /home/ricardo
ProcEnviron:
 LANGUAGE=pt_PT:pt:pt_BR:en_GB:en
 PATH=/home/ricardo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=pt_PT.UTF-8
 SHELL=/bin/bash
SourcePackage: totem
Uname: Linux ricardo-laptop 2.6.24-7-generic #1 SMP Thu Feb 7 00:56:31 UTC 2008
x86_64 GNU/Linux

yousef (yousef-aya) wrote :

Failed to connect stream: Invalid argument

RUSL Bicycle (bikerusl) wrote :

Running Ubuntu Hardy 64 bit. Using standard proprietary packages for mp3 mediabuntu etc. Things worked fine. Then after a botched kernel update (done while root filesystem ran out of space) was getting weird mp3 playback error.

mp3 would play in mpg321 and VLC only. Movies worked in VLC only. Everything else (songbird, totem, etc) invalid stream argument. I didn't realise kernel update was botched because everything else worked and because the filesystem running out of space was a surprise (large file misplaced on wrong partition) I re-installed totem, and every mp3 library/codec to no avail.

Finally realised about the kernel update issue, re-installed all the latest kernel packages as well as pcmcia. Reboot. Sound now works upon login! yay.

Steve Langasek (vorlon) on 2009-07-16
Changed in pulseaudio (Ubuntu Hardy):
assignee: supriyadi (supri-intisukses) → nobody
milestone: ubuntu-8.04.3 → none
yousef (yousef-aya) wrote :

thank you..

On 7/16/09, Steve Langasek <email address hidden> wrote:
>
> ** Changed in: pulseaudio (Ubuntu Hardy)
> Milestone: ubuntu-8.04.3 => None
>
> ** Changed in: pulseaudio (Ubuntu Hardy)
> Assignee: supriyadi (supri-intisukses) => (unassigned)
>
> --
> "Failed to connect stream: Invalid argument"
> https://bugs.launchpad.net/bugs/191027
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “pulseaudio” package in Ubuntu: Fix Released
> Status in “totem” package in Ubuntu: Invalid
> Status in pulseaudio in Ubuntu Hardy: Confirmed
> Status in totem in Ubuntu Hardy: Invalid
>
> Bug description:
> Binary package hint: totem
>
> I am unable to play any type of content in Totem,
> and, the opening Melodie (when the computers starts) sounds awfully...
> I'm using the latest alpha development version of Hardy...
> Update1: I'm also having trouble within Rhythmbox, so I did an Hardware
> report and then I uploaded it within the Hardware collection tool in Ubuntu,
> because I think there is some problem in ubuntu and the system isn't using
> my sound card correctly.
> Update2: The same error happens in the Sound control panel : System ->
> Preferences -> Sound
>
> ProblemType: Bug
> Architecture: amd64
> Date: Mon Feb 11 18:03:45 2008
> DistroRelease: Ubuntu 8.04 and 9.04
> ExecutablePath: /usr/bin/totem-gstreamer
> NonfreeKernelModules: nvidia
> Package: totem-gstreamer 2.21.92-0ubuntu2
> PackageArchitecture: amd64
> ProcCwd: /home/ricardo
> ProcEnviron:
> LANGUAGE=pt_PT:pt:pt_BR:en_GB:en
>
> PATH=/home/ricardo/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=pt_PT.UTF-8
> SHELL=/bin/bash
> SourcePackage: totem
> Uname: Linux ricardo-laptop 2.6.24-7-generic #1 SMP Thu Feb 7 00:56:31 UTC
> 2008 x86_64 GNU/Linux
>

bond (akhil-mi87) on 2010-10-07
Changed in pulseaudio (Ubuntu):
assignee: nobody → bond (akhil-mi87)
Daniel Holbach (dholbach) wrote :

Ubuntu 8.04 (Hardy) is EOL.

Changed in pulseaudio (Ubuntu Hardy):
status: Confirmed → Invalid
Displaying first 40 and last 40 comments. View all 168 comments or add a comment.